iGalerie

Vous n'êtes pas identifié(e).

#1 23-11-2013 19:19:20

gaeil
Membre
Inscription : 18-04-2007
Messages : 19

Piratage ?

bonjour, je viens d'aller dans ma galerie et j'ai partout cette info (donc le site et l'admin sont illisibles). au niveau de l'admin, c'est dans toute les boites de dialogues. et au niveau de la galerie, c'est pareil...
Strict Standards: Non-static method outils::html_specialchars() should not be called statically, assuming $this from incompatible context in /homepages/3/d405573390/htdocs/photos_compostelle/index.php on line 698

une idée ? (c'est arrivé d'un coup..ça fait des semaines que je n'y ai pas touché)

merci
Gérard

Hors ligne

#2 23-11-2013 20:01:35

David
Développeur d'iGalerie
Inscription : 12-05-2006
Messages : 3 975
Site Web

Re : Piratage ?

Salut,

Quelle version d'iGalerie ?
Le message que tu as n'est pas dû à un piratage, c'est un message d'erreur de PHP, et cela peut provenir du fait que ton hébergeur à changé de version de PHP.

Hors ligne

#3 23-11-2013 23:38:44

gaeil28
Membre
Inscription : 08-03-2012
Messages : 9

Re : Piratage ?

Bonsoir,
c'est la version 0.8 beta :-(

non c'est pas un changement de version PHP, car il y avait du code partout dans les zones de mon admin..  et peut-être à d'autres endroits que je n'ai pas vu, ce qui à mon avis a généré une erreur PHP effectivement.

J'ai supprimé tous les fichiers du site (sauf la base de données) et remis une sauvegarde et ça refonctionne.
malheureusement dans la "panique" je n'ai fait qu'un copié collé de ce qui s'affichait à l'écran (le message d'erreur), et je n'ai pas copié le code qui était dans les boîtes de dialogue..un peu partout dans mon admin.
désolé..
Gérard
bon, c'est sûr , je devrais changer de version...voilà qui est fait...

Dernière modification par gaeil28 (24-11-2013 00:31:42)

Hors ligne

Pied de page des forums